from application.config.common.log import Local, AliyunLogger

class LoggerManager:
    _local_loggers = {}
    _aliyun_loggers = {}

    @staticmethod
    def get_logger(platform, mode, log_to_console=True):
        key = f"{platform}_{mode}"
        if key not in LoggerManager._local_loggers:
            LoggerManager._local_loggers[key] = Local.init_logger(
                platform=platform, mode=mode, log_to_console=log_to_console
            )
        return LoggerManager._local_loggers[key]

    @staticmethod
    def get_aliyun_logger(platform, mode):
        key = f"{platform}_{mode}"
        if key not in LoggerManager._aliyun_loggers:
            LoggerManager._aliyun_loggers[key] = AliyunLogger(platform=platform, mode=mode)
        return LoggerManager._aliyun_loggers[key]
