from application.config.common import Local


def ack_message(mode, platform, recv_msgs, consumer, trace_id=None):
    """
    消费成功后确认消息
    """
    try:
        receipt_handle_list = [recv_msgs.receipt_handle]
        consumer.ack_message(receipt_handle_list)
        Local.init_logger(platform, mode).info(
            f"[trace_id={trace_id}] Ack {len(receipt_handle_list)} Message Succeed."
        )

    except MQExceptionBase as err:
        Local.init_logger(platform, mode).error(
            f"[trace_id={trace_id}] Ack Message Fail! Exception:{err}"
        )
